import {
    Pipe,
    PipeTransform
} from '@angular/core';


@Pipe({
    name: 'splitbadges'
})
export class SplitBadgesPipe implements PipeTransform {

    transform(badges: any[], badgeList: string): any[] {
        if (badges.length == 0) {
            return [];
        }

        return badgeList.split(',').map((id: string) => {
            let b = badges.filter((badge: any) => badge.id == id)

            return b.length > 0 ? b[0] : id;
        });
    }
}
